Subject: Re: [PATCH] mmc: Add driver for Freescale eSDHC controllers

From: Arnd Bergmann <[email-masked]>
Date: Thu, 15 Jan 2009 22:52:31 +0100

On Wednesday 14 January 2009, Anton Vorontsov wrote:
> 
> +config MMC_ESDHC
> +       tristate "Freescale Enhanced SD Host Controller Interface support"
> +       depends on FSL_SOC
> +       help
> +         This selects the Freescale Enhanced SD Host Controller Interface
> +         as found in some Freescale PowerPC microprocessors.
> +
> +         If unsure, say N.

The naming could be improved, calling it ESDHC instead of ESDHCI is very
confusing: SDHCI is the controller chip while SDHC is a type of card (high
capacity SD). This driver clearly does not refer to the card type but
rather to the controller.

	Arnd <><